Summary: A set of solitaire games for the X Window System.
Name: ace-rhcn
Version: 1.1
Release: 5
Copyright: GPL
Group: Amusements/Games
Url: http://www.delorie.com/store/ace/
Source0: ace-1.1.tar.gz
Source1: freecell.wmconfig
Source2: golf.wmconfig
Source2: mastermind.wmconfig
Source2: merlin.wmconfig
Source2: minesweeper.wmconfig
Source2: pegged.wmconfig
Source2: solitaire.wmconfig
Source2: taipedit.wmconfig
Source2: taipei.wmconfig
Source2: thornq.wmconfig
Source2: penguins.wmconfig
Buildroot: /var/tmp/ace-root

%description
The Ace of Penguins is a set of solitaire games, based on the games
available for Windows(TM), for the X Window System. The Ace of
Penguins includes clones of Freecell, Golf, Mastermind, Merlin,
Minesweeper, Pegged, Solitaire, Taipei and Thornq (by Martin
Thornquist).

%prep
%setup -q -n ace-1.1

%build
./configure --prefix=/usr/X11R6/ --sbindir=/usr/sbin \
--libexecdir=/usr/libexec/ --datadir=/usr/share --sysconfdir=/etc \
--localstatedir=/var/run --infodir=/usr/info/
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
make DESTDIR=$RPM_BUILD_ROOT install-strip
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m644 $RPM_SOURCE_DIR/*.wmconfig \
	$RPM_BUILD_ROOT/etc/X11/wmconfig/

%post
wmconfig --output fvwm2 >> /dev/null 2> /dev/null

%postun
wmconfig --output fvwm2 >> /dev/null 2> /dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root)/usr/X11R6/bin/freecell
%attr(755,root,root)/usr/X11R6/bin/golf
%attr(755,root,root)/usr/X11R6/bin/mastermind
%attr(755,root,root)/usr/X11R6/bin/merlin
%attr(755,root,root)/usr/X11R6/bin/minesweeper
%attr(755,root,root)/usr/X11R6/bin/pegged
%attr(755,root,root)/usr/X11R6/bin/solitaire
%attr(755,root,root)/usr/X11R6/bin/taipedit
%attr(755,root,root)/usr/X11R6/bin/taipei
%attr(755,root,root)/usr/X11R6/bin/thornq
%attr(755,root,root)/usr/X11R6/bin/penguins
%attr(-,root,root) %doc COPYING ChangeLog docs
/etc/X11/wmconfig/*

%changelog
* Mon Jan 3 2000 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Sun Aug 15 1999 Dale Lovelace <dale@redhat.com>
- added wmconfig files.

* Tue Jul 6 1999 Tim Powers <timp@redhat.com>
- built for powertools 6.1

* Fri Apr 17 1999 Michael Maher <mike@redhat.com>
- built package for powertools 6.0

* Thu Feb 25 1999 James Bourne <jbourne@affinity-systems.ab.ca>
- built original RPM
